# yaml-language-server: $schema=../dist/scenario.schema.json
scenarios:
  - name: initieel

    document_datumtijd: 2024-04-03T00:00:00+00:01

    aangeleverd_door: "99000000000000000003"

    gebeurtenis_kenmerken:
      - 81029991234567891-1
      - 81029991234567891-2
      - 81029991234567891-3

    scenario_contact_optie:
      - zaakkenmerk: "81029991234567891"
        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000003"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:rci@mailtniet.nl?subject=RCI mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/rci/mijn_rci.html"
            naam: "Mijn RCI"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/rci/rci.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      RCI_BOETE: BESCHIKBAAR
      RCI_ADMINISTRATIEKOSTEN: BESCHIKBAAR
      RCI_KOSTEN_EERSTE_AANMANING: BESCHIKBAAR

    order: 1

  - name: betaald

    document_datumtijd: 2024-04-06T00:00:00+00:00

    aangeleverd_door: "99000000000000000003"

    gebeurtenis_kenmerken:
      - 81029991234567891-1
      - 81029991234567891-2
      - 81029991234567891-3
      - 81029991234567891-4

    scenario_contact_optie:
      - zaakkenmerk: "9132542000184042"
        contact_opties:
          - contact_vorm: "telefoon"
            url: "tel:+31990000003"
            naam: "Telefoon"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 1

          - contact_vorm: "e_mail"
            url: "mailto:rci@mailtniet.nl?subject=RCI mailt nooit"
            naam: "E-mail"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 2

          - contact_vorm: "persoonlijke_website"
            url: "https://www.vorijk.nl/rci/mijn_rci.html"
            naam: "Mijn RCI"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 3

          - contact_vorm: "publieke_website"
            url: "https://www.vorijk.nl/rci/rci.html"
            naam: "Website"
            omschrijving: "Placeholder voor omschrijving"
            prioriteit: 4

    scenario_beschikbaarheid:
      RCI_BOETE: BESCHIKBAAR
      RCI_ADMINISTRATIEKOSTEN: BESCHIKBAAR
      RCI_KOSTEN_EERSTE_AANMANING: BESCHIKBAAR

    order: 2

gebeurtenissen:
  - gebeurtenis_type: FinancieleVerplichtingOpgelegd
    gebeurtenis_kenmerk: 81029991234567891-1
    datumtijd_gebeurtenis: 2024-04-01T00:00:01+00:00
    datumtijd_opgelegd: 2024-04-01T10:25:00+00:00
    zaakkenmerk: "81029991234567891"
    beschikkingsnummer: 81029991234567891-123
    bsn: "814859094"
    primaire_verplichting: true
    type: RCI_BOETE
    categorie: Algemeen
    bedrag: 10400
    omschrijving: "Boete voor overtreding op 31 maart 2023"
    juridische_grondslag_omschrijving: Boete voor overtreding Artikel 21 
    juridische_grondslag_bron: http://wetten.overheid.nl/jci1.3:c:BWBR0004825&hoofdstuk=II&paragraaf=8&artikel=21&z=2023-01-01&g=2023-01-01
    opgelegd_door: "99000000000000000003"
    uitgevoerd_door: "99000000000000000003"
  - gebeurtenis_type: FinancieleVerplichtingOpgelegd
    gebeurtenis_kenmerk: 81029991234567891-2
    datumtijd_gebeurtenis: 2024-04-01T00:00:02+00:00
    datumtijd_opgelegd: 2024-04-01T00:00:00+00:00
    zaakkenmerk: "81029991234567891"
    beschikkingsnummer: 81029991234567891-123
    bsn: "814859094"
    primaire_verplichting: false
    categorie: Administratiekosten
    bedrag: 900
    omschrijving: Administratiekosten
    juridische_grondslag_omschrijving: RCI mag op grond van Artikel 63d van het Organisatiebesluit administratiekosten in rekening brengen
    juridische_grondslag_bron: http://wetten.overheid.nl/BWBR0045971/2021-12-03/0
    opgelegd_door: "99000000000000000003"
    uitgevoerd_door: "99000000000000000003"
    type: RCI_ADMINISTRATIEKOSTEN
  - gebeurtenis_type: BetalingsverplichtingOpgelegd
    gebeurtenis_kenmerk: 81029991234567891-3
    datumtijd_gebeurtenis: 2024-04-01T00:00:03+00:00
    datumtijd_opgelegd: 2024-04-01T00:00:00+00:00
    zaakkenmerk: "81029991234567891"
    bsn: "814859094"
    bedrag: 11300
    betaalwijze: Handmatig
    type: Aanschrijving
    te_betalen_aan: "99000000000000000003"
    rekeningnummer: "GB33BUKB20201555555555"
    rekeningnummer_tenaamstelling: "Rijksdienst voor Centraal Incasso [Fictief]"
    betalingskenmerk: 81029991234567891-1
    vervaldatum: 2024-11-02T00:00:00+00:00
  - gebeurtenis_type: BetalingVerwerkt
    gebeurtenis_kenmerk: 81029991234567891-4
    datumtijd_gebeurtenis: 2024-04-06T00:00:07+00:00
    betalingskenmerk: 81029991234567891-1
    datumtijd_verwerkt: 2024-04-03T00:00:00+00:00
    datumtijd_ontvangen: 2024-04-04T00:00:00+00:00
    ontvangen_door: "99000000000000000003"
    verwerkt_door: "99000000000000000003"
    bedrag: 11300
